*** Presto Player Changelog ***
= 4.3.2 =
* Improvement: Added internal unit test coverage.
* Improvement: Optimized license verification to reduce unnecessary update-check network requests.
* Fixed: Self-hosted and HLS videos added by URL now show a readable title instead of the raw URL.
* Fixed: FluentCRM email capture now reliably collects email.

= 4.3.1 =
* New: Native Divi 5 module support for the Presto Player video player.
* Security: Multiple security hardening improvements.
* Fixed: Analytics charts no longer flatline on date ranges longer than 31 days.

= 4.3.0 =
* Improvement: Migrated to Block API v3 for improved compatibility and performance.
* Improvement: Reworked editor styling for better performance and reliability.

= 4.2.4 =
* Improvement: WordPress.org plugin guideline compliance and Plugin Check hardening.
* Fix: Corrected JavaScript translation file loading so admin interface strings are translated properly.
* Fix: Made dashboard navigation tabs and the Media Hub 'Actions' column header translatable.

= 4.2.4 =
* Improvement: WordPress.org plugin guideline compliance and Plugin Check hardening.
* Fix: Corrected JavaScript translation file loading so admin interface strings are translated properly.
* Fix: Made dashboard navigation tabs and the Media Hub 'Actions' column header translatable.

= 4.2.3 =
* Improvement: Formatting improvements to the readme.

= 4.2.2 =
* Improvement: Documentation and readme updates.

= 4.2.1 =
* Security: Hardening improvements to input and output sanitization.
* Improvement: Significantly faster Media Hub loading on sites with large video libraries.
* Improvement: Bug fixes and stability improvements in the Media Hub.
* Improvement: More reliable bulk actions and selection on the Emails dashboard.

= 4.2.0 =
* New: Redesigned admin experience for a more modern, intuitive interface.

= 4.1.4 =
* Improvement: Presto Player is now compatible with WordPress 7.0.
* Security: Enforced post visibility for Media Hub videos embedded via shortcode.
* Improvement: Internal code quality and infrastructure improvements.

= 4.1.3 =
* Fix: Prevented fatal error when third-party plugins call the_title filter without a post ID argument.

= 4.1.2 =
* New: Added filters to disable or modify video SEO schema output.
* Improvement: Updated NPS Survey library to v1.0.21.
* Fix: Resolved fatal error with Korean locale caused by invalid format specifiers in player labels.
* Fix: Made playlist 'Next' button label translatable and fixed 'Up Nexts' typo.
* Fix: Resolved PHP deprecation warning in CSS sanitization.
* Fix: Fixed undefined array key error in reusable video block.
* Fix: Restored filterable video attributes on video components.
* Fix: Added missing text domain for untranslatable strings.
* Fix: Fixed _load_textdomain_just_in_time notice on WordPress 6.7+ by deferring analytics setup.

= 4.1.1 =
* Security: Multiple security hardening improvements.

= 4.1.0 =
* New: Automatic caption generation with BunnyCDN.

= 4.0.8 =
* Improvement: Introduced a new NPS feedback survey.

= 4.0.7 =
* Fix: Missing text domain for strings.
* Fix: Resolved an issue with improper escaping of dynamic attribute values in markup output.

= 4.0.6 =
* Fix: Fixed an issue where search results could redirect to a 404 if the search results included a Media Hub item with Instant Video Pages disabled.
* Fix: Corrected help text for call to action settings under video preset settings.

= 4.0.5 = 
* Fix: Fixed an issue preventing certain Presto settings pages from loading correctly in the WordPress admin.

= 4.0.4 = 
* Fix: Update popup assets for WordPress 6.9 compatibility.

= 4.0.3 =
* New: You can now use the "ratio" parameter in the Presto Player shortcode to control the video’s aspect ratio.
* Fix: Resolved an issue where muted previews incorrectly played with sound when Lazy Load YouTube was enabled.
* Fix: The “Remove all data on uninstall” option now correctly clears all Presto Player data, including Media Hub videos, when uninstalling the plugin.
* Fix: Bunny CDN thumbnails were not automatically reflected in videos.
* Fix: PHP warnings.

= 4.0.2 =
* Fix: Fullscreen mode not working on Safari in some instances.
* Fix: PHP notices related to translations loading before init hook.

= 4.0.1 =
* Fix: Improved error handling for popup image trigger block transformations
* Fix: Unnecessary requests when edit post pages.

= 4.0.0 =
* New: Presto Popups! [Learn More](https://prestoplayer.com/docs/presto-popups)
* Improvement: Presto player has been rewritten to be more compatible with page builder popups and ajax loaded content.

= 3.1.3 =
* Change: Streamlined branding settings by removing the unused opacity option for better clarity and consistency.
* Fix: Disabled autoplay for Vimeo playlists on iOS to prevent videos from starting muted after user interaction.
* Fix: PHP warnings.

= 3.1.2 =
* Improvement: Added security vulnerability reporting guidelines to FAQ section.

= 3.1.1 =
* Change: Change playlist items list to have a max-height of 200px on mobile for long lists.
* Fix: Issue where video analytics link was incorrectly being shown on profile page, even though they don't have permission to access the page.
* Fix: Incorrect text domain for some plugin strings.

= 3.1.0 = 
- New: Setting to adjust the aspect ratio of the videos (vertical video support) [Learn More](https://www.youtube.com/watch?v=dKL8t9RtdvA).
- Fix: Issue where action bar was sometimes not appearing for lazy loaded Youtube videos.
- Fix: YouTube playlist item showing loading bar before playing on iOS devices.
- Fix: Select media dropdown spacing issue on initial load in upcoming WordPress 6.8.

= 3.0.8 = 
- Fix: LearnDash video progression not working when DIVI builder is used to build lesson pages.
- Change: Rename admin bar menu item from "Media" to "Presto Media" to prevent conflict with WordPress media library.

= 3.0.7 =
* Improvement: Fix minor spacing issues with block inspector sidebar in WordPress 6.7.

= 3.0.6 =
* Improvement: CSS syntax suggestions in custom css box.
* Improvement: Automatically cap HLS resolution to based on player size (props @karlemilnikka).
* Fix: Issue where adding custom css clears out some branding settings.

= 3.0.5 =
* Fix: Player sometimes incorrectly preloading missing file.

= 3.0.4 =
* Fix: Issue with LearnDash video progression not working for synced media hub items.

= 3.0.3 =
* Improvement: Multiple security improvements.

= 3.0.2 =
* Change: Synced media hub items now edit inline instead of navigating to separate edit page.
* Fix: WordPress 6.6 compatibility.

= 3.0.1 =
* New: Setting for changing the default Media Hub sync behavior for new blocks.
* Improvement: Add "Edit Original" to inspector sidebar for synced media hub items to increase visibility of new feature.
* Fix: Issue with private bunny.net private video not signing urls correctly when synced with media hub.
* Fix: Making CSS more specific on instant video page to prevent conflicts with themes.
* Fix: Wrong textdomain on some translations.

= 3.0.0 =
* New: Instant video pages. Create beautiful video pages with a single click.
* New: Sync video blocks with media hub items. 
* Improvement: Combine all Presto video blocks into a single block.
* Improvement: New video placeholder lets you select existing media hub items.
* Improvement: Admin media hub selector now shows video type, poster image.
* Improvement: Update web components library dependency.
* Fix: Presto Player admin menu icon sometimes being altered by problematic 3rd party plugins.
* Fix: Issue where adding provider override to a shortcode was not working for audio player.

= 2.3.3 =
* Fix: Playinline setting not applying with some page builder modules.
* Fix: PHP debug notice with Learndash integration.

= 2.3.2 =
* Fix: Custom css box sometimes losing focus during typing.

= 2.3.1 =
* Fix: Ensure new media items can be created on playlist block when no media items are present.

= 2.3.0 =
* Improvement: Add new media selector for use in playlist component.

= 2.2.3 =
* Improvement: Multiple security improvements.

= 2.2.2 =
* Improvement: Better keyboard focus states for player controls.
* Fix: PHP deprecation warnging for PHP 8.2+

= 2.2.1 =
* Fix: Issue with learndash video progression not working if video is inside DIVI builder lesson page layout.
* Fix: Style issue on presets where sliders text was getting cut off.
* Fix: LifterLMS null check causing video progress not to show.

= 2.2.0 =
* New: Timestamp behavior on presets (pro required).
* New: Setting to pass playlist highlight color to players (pro required).

= 2.1.0 = 
* New: Add automatic video SEO schema (poster image required).

= 2.0.16 =
* Fix: Captions getting stuck off when muted preview captions are turned on and the video is played.
* Fix: LifterLMS video progression tracking not working in latest version of Lifter Advanced Videos.

= 2.0.15 = 
* Fix: Issue with Learndash video progression not working if media hub is added to lesson instead of a video.

= 2.0.14 = 
* Improvement: Change default mobile behavior to play inline.

= 2.0.13 = 
* Fix: Add compatibility for Beaver Builder Responsive iFrame UI.

= 2.0.12 = 
* Fix: Search bar styling issue in plugin sidebar.
* Fix: Various style tweaks and fixes in admin video options popups.

= 2.0.11 = 
* Fix: Issue with bunny.net block placeholder not loading due to changes in instructions prop with a11y.

= 2.0.10 = 
* Fix: Issue with bunny.net blocks not loading on backend due to WordPress 6.4 update.

= 2.0.9 = 
* Fix: Compatibility with upcoming WordPress 6.4.
* Fix: PHP notice for Learndash video progression with WP DEBUG turned on for some instances.
* Fix: Overlays admin modal video being small on some instances.
* Fix: Issue where some slower connections may see a flash of un-hidden content on the playlist.
* Fix: Playlist block border controls not displaying with the Hello Elementor and few other themes.

= 2.0.8 = 
* Fix: Issue with Learndash video progression in newer versions of Learndash for lessons with "Display Timing" set to "After completing sub-steps".

= 2.0.7 = 
* Fix: Update hls.js to fix issue with HLS streams not playing on some android devices.

= 2.0.6 = 
* Fix: Audio title text overflow issue.

= 2.0.5 = 
* Fix: Responsive issue with audio player.

= 2.0.4 = 
* Fix: Issue with private videos in playlists (requires Pro 2.0.1)

= 2.0.3 = 
* Fix: Compatibility with Elementor 3.6+ 

= 2.0.2 = 
* Fix: Issue with captions not loading on playlists.

= 2.0.1 = 
* New: Add shortcode for playlists. (Pro)

= 2.0.0 = 
* New: Playlists (Pro)
* Improvement: Update HLS streaming library for more reliable HLS playback.

= 1.14.1 =
* Fix: When a new media item added to media hub it replaces existing media from Elementor widget.

= 1.14.0 - May 1, 2023 =
* Improvement: Compatibility with Full Site Editing.
* Fix: CSS formatting issues in popup and placeholder.

= 1.13.0 - February 22, 2023 = 
* Improvement: Automatically get highest available thumbnail from YouTube when max resolution image is not available.
* Improvement: ACF compatibility with file selector.
* Fix: Issue with media hub items not fetching on search in Divi Page Builder widget.

= 1.12.0 - January 18, 2023 = 
* Fix: Fixed an issue with Media Hub items not fetching on search in Divi Page Builder widget.

= 1.11.0 - December 29, 2022 = 
* New: Searchable captions.
* Fix: Issue with private audio not working for some WordPress users.
* Fix: Issue with action bar and CTA links not working sometimes with url parameters.

= 1.10.2 - November 30, 2022 =
* Improvement: Make captions autodetect text direction.
* Fix: Improve accessibility on control buttons with aria-pressed.
* Fix: issue with captions sometimes not switching.
* Fix: issue with audio player email capture not working.

= 1.10.1 - October 26, 2022 = 
* Fix issue with Integrations settings tab not loading for non-pro users.

= 1.10.0 - October 21, 2022 = 
* New: Webhooks for email capture.
* Fix: Issue with muted autoplay on iOS devices.
* Fix: CSS issue with classic bunny.net popup.

= 1.9.14 - September 20, 2022 = 
* Fix: Issue with Divi sometimes not able to query media items.
* Fix: Issue with large play button sizing not matching on Modern skin.
* Fix: Issue with block widgets sometimes not loading video scripts.

= 1.9.13 - August 01, 2022 = 
* Improvement: Add filters for HTML attributes to player. 

= 1.9.12 - July 12, 2022 = 
* Fix: Issue with fallback iframes not having a title attribute.

= 1.9.11 - July 06, 2022 = 
* Fix: Issue with volume when chapter is clicked. 
* Fix: Player icons not working with cross origin URL.

= 1.9.10 - June 07, 2022 = 
* Improvement: Use native HLS implementation for iOS devices to increase compatibility with different HLS streaming services.

= 1.9.9 - June 01, 2022 = 
* Fix: Reset player progress on end of the video to prevent issue with TutorLMS.

= 1.9.8 - May 31, 2022 = 
* Fix: Styling for Preset list in the editor. 
* Fix: Menu icon compatibility with WordPress 6.0.  

= 1.9.7 - May 12, 2022 = 
* Improvement: Remove temporary files. 

= 1.9.6 - April 26, 2022 = 
* Fix: Add function checks in case wp_get_attachment_url is called before WP loads. 
* Fix: Removing videos database table on uninstall. 
* Fix: Error removing data on plugin uninstall.

= 1.9.5 - April 13, 2022 = 
* Improvement: Increased limit for Bunny.net stream collection list.
* Fix: Double play button on iOS mobile devices when Muted Autoplay Preview is enabled.

= 1.9.4 - March 25, 2022 = 
* Fix: Media was not loading on non LifterLMS pages. 

= 1.9.3 - March 24, 2022 = 
* Fix: Issue with CTA skip button sometimes not working on mobile.

= 1.9.2 - March 09, 2022 = 
* Fix: Player gets paused when multiple media have muted autoplay enabled on the same page.
* Fix: UI issue with Media hub list in Divi Builder plugin.
* Fix: Player not loading LifterLMS Quiz pages. 

= 1.9.1 - February 17, 2022 = 
* Improvement: UI tweaks in the video player appearance. 
* Fix: Long URLs were not working for the player.

= 1.9.0 - February 16, 2022 =
* New: Introduced Modern skin for video.
* New: Introduced Business skin for video. 

= 1.8.6 - February 07, 2022 =
* Fix: Quality switcher missing on iOS device for HLS videos.
* Fix: Incorrect video links on RSS feed. 

= 1.8.5 - January 28, 2022 =
* Fix: Bunny.net popup UI issue with WordPress 5.9.  
* Fix: Undefined error on click of private audio switch. 

= 1.8.4 - January 20, 2022 =
* Fix: Issue with colors not applying to watermark.

= 1.8.3 - January 18, 2022 =
* Fix: Chapters not showing in timeline for Vimeo videos.
* Fix: Dynamic text not being replaced in Watermark.
* Fix: Issue where muted autoplay videos requiring double-tap on iOS to play.
* Fix: Hide logo option not showing in preview.

= 1.8.2 - January 15, 2022 =
* Fix: Issue with TutorLMS latest update breaking videos.
* Fix: Timestamp links inherit theme styles.
* New: CSS variables for unauthorized view styling.

= 1.8.1 - January 13, 2022 =
* New: Settings to set Default Preset for Audio player
* Fix: Audio Player preview UI issues on analytics screen 

= 1.8.0 - January 11, 2022 =
* New Feature: Audio player. [Doc](https://prestoplayer.com/docs/presto-player-audio/)
* New Feature: Timestamp links shortcode. [Doc](https://prestoplayer.com/docs/presto-timestamps/)

= 1.7.2 - January 6, 2022 =
* Fix: Right to Left issue with the email capture form. 
* Fix: Whitelist CSS variables for compatibility on archive pages. 

= 1.7.1 - November 17, 2021 =
* Compatibility update with WordPress.com hosting stripping out player tag.
* Fix z-index issue where action bar is below muted preview.
* Fix double-play button issue on iOS devices when muted preview and large play button are enabled.
* Automatically set media hub title when left blank.
* Update php requirements in readme.txt.

= 1.7.0 - November 10, 2021 =
* LifterLMS video progression and analytics integration. [Learn More](https://prestoplayer.com/docs/lifterlms-advanced-videos-presto-player/)
* Video end options (go to start, loop)
* WP Rocket compatibility with "Delay Javascript Execution" option.
* Shortcode enhancements - ability to add both id and src attributes.
* Fix Elementor module edit links for multisite.
* Fix conflict Kadence Blocks spacer block in Admin.

= 1.6.13 - October 22, 2021 =
* Fix issue with Dynamic URL Override with Elementor not changing providers.

= 1.6.12 - October 15, 2021 =
* Hotfix - email capture not syncing with integrations.

= 1.6.11 - October 14, 2021 =
* Add compatibility for Vimeo's new private video hash.
* Fix issue with video titles getting reset on analytics page.

= 1.6.10 - October 12, 2021 =
* Fix issue with built-in analytics sometimes not working with Youtube videos.

= 1.6.9 - October 11, 2021 =
* Fix compatibility issue with Loco translate not picking up translations from custom directories.
* Fix bug where custom css was getting cleared when editing a video.

= 1.6.8 - September 29, 2021 =
* Fix issue with Action Bar not displaying if set to display at 0%.

= 1.6.7 - September 28, 2021 =
* Hotfix: muted autoplay not working properly.

= 1.6.6 - September 28, 2021 =
* Email capture and CTA no longer need to exit fullscreen to show.
* Fix issue with private bunny.net videos not loading properly in Overlays editor.
* Fix compatibility with WPRocket delay javascript functionality.
* Fix issue where Youtube video gets unmuted automatically previously muted then paused and played again.
* Fix issue with videos not showing in RSS feeds.

= 1.6.5 - September 13, 2021 =
* Fix memory leak sometimes causing longer videos to freeze or crash.

= 1.6.4 - September 8, 2021 =
* Add placeholder for video loading.
* Fix incorrect title in google analytics.
* Fix race condition where HLS/Bunny videos sometimes won't load if browser caching is enabled.
* Change default lazy loaded Youtube size to be 16/9 to prevent size jump.

= 1.6.3 - September 2, 2021 =
* Fix issue with CTA and Email Collection sometimes getting delayed.
* Fix global styles not being outputted in Elementor.
* Fix issue with long urls sometimes not saving video.
* Fix translations issue with Youtube preset.

= 1.6.2 - August 31, 2021 =
* Fix issue with Rankmath breaking Presto Player in Divi Editor.
* Fix issue with shortcode returning styles when inserted into Gutenberg editor.
* Fix issue with large play button going behind controls on small player sizes.
* Fix issue with some servers changing deleted_at from NULL to 0000-00-00 00:00:00.

= 1.6.1 - August 26, 2021 =
* Fix issue with search term not being sent to server in Divi module. 

= 1.6.0 - August 23, 2021 =
* New Feature: Divi Integration.
* New Feature: [Dyamic Overlays](https://prestoplayer.com/overlays).
* New Feature: [Dyanmic Text Watermark](https://prestoplayer.com/dynamic-watermarks).  
* Fix issue where Google Analytics was adding multiple load and play events.
* Fix issue where large play button will appear in muted overlay when not selected in preset.

= 1.5.15 - August 23, 2021 =
* Fix issue with caption z-index for when dynamic javascript is not enabled.
* Fix issue with Email Collection not exiting fullscreen mode.

= 1.5.14 - August 12, 2021 =
* Hotfix: Caption z-index.

= 1.5.13 - August 12, 2021 =
* Fix issue with CTA sometimes not displaying if set to 100% and Lazy Load Youtube is enabled.
* Fix issue with CTA overlay opacity not saving.
* Fix issue with Safari poster image sometimes not displaying.
* Add bottom padding for iPhones full screen for Play inline option.
* Fix issue with "Hide Youtube UI" cutting off on fullscreen in some monitors.
* Fix PHP notice in elementor when there are not media hub items.

= 1.5.12 - August 3, 2021 =
* Hotfix: Issue with CTAs sometimes not appearing.

= 1.5.11 - August 3, 2021 =
* Fix height issue with bundled javascript versions.
* Fix centering issue with Youtube.

= 1.5.10 - August 2, 2021 =
* Fix height issue with Vimeo videos on iOS devices.

= 1.5.9 - July 26, 2021 =
* Fix issue with videos not being centered in iOS fullscreen.
* Fix issue with non-standard HLS links not playing as HLS.
* Fix issue with Lazy Load Youtube Videos needing a second click on newer iPad devices to play.
* Allow focus mode to work with Muted Autoplay.

= 1.5.8 - July 22, 2021 =
* Fix issue with Vimeo videos in Android Webview
* Fix additional request with Vimeo videos due to component re-rendering.
* Fix issue with Large Play button appearing on Muted Overlay when not enabled in preset.
* Fix HLS stuttering issue on iOS devices if Dynamically Load Javascript was not enabled.

= 1.5.7 - July 20, 2021 =
* Fix 5.8 block_categories and allowed_block_types deprecations.

= 1.5.6 - July 16, 2021 =
* Fix issue with CTA sometimes not showing in bundle (non dynamic javascript setting).

= 1.5.5 - July 13, 2021 =
* Fix issue where HLS script sometimes doesn't load depending on theme hooks.
* Fix missing "Login" translation in non-logged-in template.

= 1.5.4 - June 30, 2021 =
* Fix issue where Youtube and Vimeo were not using native player with playsinline turned off.
* Fix issue with native iOS player and CTAs.
* Fix issue with multiple non-preloaded HLS streams on the same page.
* Fix issue with CTAs sometimes not displaying
* Added missing translation for private video login text.

= 1.5.3 - June 25, 2021 =
* Hotfix: Analytics video edit button opacity.

= 1.5.2 - June 25, 2021 =
* Better default aspect ratio (16:9) for HLS streams that are not preloaded.
* Fix video previews being missing from video analytics page.

= 1.5.1 - June 23, 2021 =
* Add a dedicated "Captions" button option.
* Change "Play In Viewport" wording to "Focus Mode".
* Change resume play position to only happen past 1 second.
* Prevent lazy loaded youtube videos from sometimes automatically autoplaying in the admin.

= 1.5.0 - June 23, 2021 =
* Add Play only in Viewport feature.
* Add login message for private videos.
* Per user video analytics.
* HLS loading improvements.
* Fix date dropdown in analytics.

= 1.4.0 - June 2, 2021 =
* Add Call to Action Feature
* Added player custom CSS box.
* Added default preset option
* Fixed missing translations.

= 1.3.0 - May 24, 2021 =
* Shortcode enhancements [View Docs](https://prestoplayer.com/docs/presto-player-shortcode).
* Ability to turn on/off dynamic javascript loading for better compatibility with script combining.
* Preset option to choose sticky scroll position. 
* Preset option for turning on captions by default.

= 1.2.9 - May 13, 2021 =
* Fix issue with sticky scroll sometimes not working.
* Fix minor styling issue with caption wrapping.

= 1.2.8 - May 12, 2021 =
* Fix issue with Open In New Tab not saving for custom button in Action Bar.

= 1.2.7 - May 12, 2021 =
* Fix issue with slow preset seeding query

= 1.2.6 - May 12, 2021 =
* PHP 8 Compatibility
* Add bulk editing features to Media Hub.
* Fix issue with Elementor not previewing bunny.net stream videos
* Fix issue where Bunny Stream private api key could not be manually updated on settings page.
* Fix issue with GoDaddy feedback modal breaking javascript on our post type page.

= 1.2.5 - May 11, 2021 =
* Fix issue with individual video pages not loading.
* Fix issue with Bunny stream videos not showing title.
* Allow vimeo direct hls urls in player.

= 1.2.4 - May 7, 2021 =
* Fix rounded corners issue in Safari.
* Fix issue with more than 100 videos in a bunny.net collection.

= 1.2.3 - May 6, 2021 =
* Fix issue with email capture sometimes not displaying.

= 1.2.2 - May 6, 2021 =
* Remove error logging from development.

= 1.2.1 - May 5, 2021 =
* Fix issue with free users not being able to add channel id.

= 1.2.0 - May 5, 2021 =
* New Action Bar. Add a timed YouTube subscribe bar or custom call to action.
* Fix default presets not being translatable.

= 1.1.4 - May 4, 2021 =
* Fix issue with Learndash caching video progress when video is changed.
* Fix RTL issue with video chapters.

= 1.1.3 - Apr 26, 2021 =
* Fix issue with TutorLMS video progression not marking lessons as complete.
* Fix issue where instructor roles in Learndash didn't have access to Bunny.net blocks.

= 1.1.2 - Apr 23, 2021 =
* Add css part to logo so it can be styled.
* Add visit time to progress for integrations.

= 1.1.1 - Apr 22, 2021 =
* Fix scrolling issue with bunny classic modal.
* Clear transient to force pro update check when core is updated.

= 1.1.0 - Apr 22, 2021 =
* Update core plugin for Bunny.net stream integration!

= 1.0.16 - Apr 21, 2021 =
* Fix issue where some user roles could not add videos if they could not edit posts.
* Fix php notice for undefined $logic_video when learndash is enabled and "AFTER" is chosen for video progression.
* Automatic RTL language support for email overlay, chapters and captions.
* Add css parts to overlay (play button, image) so they can be styled with custom css.
* Fix fullscreen centering issue with vimeo on iOS
* Fix fullscreen z-index issue with youtube on iOS

= 1.0.15 - Apr 19, 2021 =
* Fix issue with Lazy Load youtube requiring double click on iOS Safari.
* Fix issue with overlay not appearing on admin.

= 1.0.14 - Apr 15, 2021 =
* Fix issue with Learndash where Mark Complete buttons don't appear if "BEFORE" is selected in video progression.
* Compatibility with Siteground Optimizer
* Add video Fallbacks for when javascript fails to load.
* Fix issue with default Youtube poster images sometimes not loading.

= 1.0.13 - Apr 14, 2021 =
* Fix poster image not showing for Vimeo videos.
* Fix issue with poster image not appearing if more than one Youtube video is on a page.
* Fix debug notices if Learndash is activated but on a non-learndash page.

= 1.0.12 - Apr 13, 2021 =
* Fix issue with LearnDash lesson associated steps not being accessible if "before" is selected for display timing.

= 1.0.11 - Apr 13, 2021 =
* Fix issue where sticky scroll sometimes wasn't disabled on presets.
* Do fallback for Youtube Videos in Webview due to webview play restrictions in the YouTube API.

= 1.0.10 - Apr 13, 2021 =
* Fix javascript error when "Use existing on-page tag" setting is selected.
* Fix conflict with WP Offload SES plugin.

= 1.0.9 - Apr 11, 2021 =
* Fix remove unused javascript files.

= 1.0.8 - Apr 11, 2021 =
* Fix issue with email overlay sometimes showing incorrectly.

= 1.0.7 - Apr 11, 2021 =
* Fix issue with email overlay not showing if percentage is chosen.

= 1.0.6 - Apr 11, 2021 =
* Fix analytics reporting issue since 1.0.0.

= 1.0.5 - Apr 11, 2021 =
* WPRocket script combine compatibility.
* Fix issue with Youtube autoplay and Youtube muted autoplay not working intermittently.
* Fix issue with iOS/Safari/Vimeo during fullscreen where the video is not showing if rounded corners are enabled.
* Fix issue with 10 second skip tooltip showing 0s instead of 10s.

= 1.0.4 - Apr 10, 2021 =
* Fix issue where muted autoplay sometimes working with YouTube videos.

= 1.0.3 - Apr 6, 2021 =
* Fix issue with Vimeo private videos not showing if domain restriction was enabled.

= 1.0.2 - Apr 6, 2021 =
* Fix issue with Email capture z-index with Youtube videos
* Fix issue with Email capture not automatically playing lazy loaded Youtube videos.

= 1.0.1 - Apr 6, 2021 =
* Fix issue with sticky scroll z-index.

= 1.0.0 - Apr 6, 2021 =
* Email Capture (Requires Pro v1.0.0) - capture emails from visitors to allow watching of videos on your site. Integrate with FluentCRM, Mailchimp, MailerLite, or ActiveCampaign.
* Youtube Privacy Enhanced Mode (Requires Pro v1.0.0) - you can now turn this global setting on to embed YouTube videos without using cookies that track viewing behaviour.
* Style-Conflict Free - The player has been refactored into a web component, so it is now unaffected by theme styles.
* Dynamic Loading - The player now loads dynamically on the page, meaning it works seamlessly with popup plugins and lazy or ajax loading content.

= 0.0.57 - Mar 30, 2021 =
* Fix issue with Vimeo video not vertically centering on iOS devices.
* Fix issue with Learndash sometimes not hiding "Mark Complete" button.

= 0.0.56 - Mar 25, 2021 =
* Fix issue with muted autoplay playing with volume with Youtube videos introduced in last update.

= 0.0.55 - Mar 24, 2021 =
* Fix issue where Youtube video plays muted if clicked while loading.

= 0.0.54 - Mar 22, 2021 =
* TutorLMS video progression and watch time integration! [Watch A Video](https://prestoplayer.com/docs/tutorlms)
* Fix issue with some servers not allowing indexing of large varchar fields in database (Pantheon).

= 0.0.53 - Mar 18, 2021 =
* Fix style issue with Presto video block placeholder.
* Fix issue with Vimeo controls not being able to be retrieved in Firefox.
* Fix issue with not entering iosfullscreen of vimeo videos with playsinline=true.
* Fix vimeo aspect ratio on mobile.

= 0.0.52 - Mar 16, 2021 =
* Fix issue with black bars appearing on the top and bottom of YouTube videos.

= 0.0.51 - Mar 15, 2021 =
* Fix issue with learndash not disabling complete lesson button with "Before" selected.
* Fix issue with Youtube not fetching max res poster image.

= 0.0.50 - Mar 12, 2021 =
* Fix issue with some translations not being picked up due to JSX formatting.

= 0.0.49 - Mar 12, 2021 =
* Fix issue with Vimeo videos not being able to be played in Chrome if unmuted.

= 0.0.48 - Mar 12, 2021 =
* Fix issue with reusable videos showing up as "Untitled" on analytics page and not be clickable.

= 0.0.47 - Mar 11, 2021 =
* Fix issue with learndash not marking lesson as complete when quiz is next step.

= 0.0.46 - Mar 10, 2021 =
* Fix issue with private self-hosted video not working for non-admin users.
* Fix issue with Vimeo showing Vimeo's play button if Presto Player's play button was not set.
* Add ability to filter block attributes/data.

= 0.0.45 - Mar 9, 2021 =
* Fix issue with translations breaking settings page.
* Fix issue with learndash progression not working with Elementor pages.

= 0.0.44 - Mar 9, 2021 =
* Fix issue where muted autoplay was sometimes not logging analytics.
* Fix issue with translations overwriting some gutenberg translations in admin.

= 0.0.43 - Mar 8, 2021 =
* Fix conflict between Gravity Forms Block and Presto Player

= 0.0.42 - Mar 5, 2021 =
* Adding missing translation strings
* Fix issue where tapping muted autoplay video sometimes needed double tap on mobile.

= 0.0.41 - Mar 4, 2021 =
* Fix missing javascript translations on admin.
* Fix issue with iOS devices not being able to tap to get vimeo controls back.
* Fix issue with muted autoplay not restarting.

= 0.0.40 - Mar 4, 2021 =
* Fix issue with javascript translations not applying with Loco Translate.

= 0.0.39 - Mar 4, 2021 =
* Fix issue with Loco Translate picking up wrong .pot file

= 0.0.38 - Mar 2, 2021 =
* Add HLS video support! (Pro)
* Fix issue with Vimeo and save play position
* Fix issue with ajax progress and multiple players per page.
* Fix issue with LearnDash + Elementor not letting Elementor load if WP_DEBUG is on.

= 0.0.37 - Mar 1, 2021 =
* Hotfix: Issue with play button missing on muted autoplay with TutorLMS
* Hotfix: Issue with Beaver Themer overriding focus styles on play button causing it to not be tappable on mobile. 
* Enhancement: Ship javascript source files with plugin to help with translations.

= 0.0.36 - Mar 1, 2021 =
* Update PHP requirements to 7.1
* Fix issue with muted autoplay not resuming play position on play when both options are enabled. 
* Fix muted overlay focus style conflict that won't allow playing on some mobile devices while using Beaver Builder.
* Fix issue with poster image not appearing in desktop Safari for some videos.
* Fix issue where YouTube Autoplay sometimes does not have sound on Edge, Safari and Firefox. 

= 0.0.35 - Feb 26, 2021 =
* Fix issue where ajax progress wasn't reaching 100%.
* Fix issue where ajax progress wasn't working without pro version installed.
* Fix issue where ajax progress was sending progress for muted autoplay.
* Make sure overlay images are responsive in case theme doesn't have responsive image css.
* Add translations to screen reader elements in player.

= 0.0.34 - Feb 26, 2021 =
* Fix conflict with Beaver Builder not allowing mobile clicks with muted autoplay.

= 0.0.33 - Feb 25, 2021 =
* Add polyfill for older browsers. 
* Fix style conflict with astra and progress/volume bars.

= 0.0.32 - Feb 25, 2021 =
* Fix conflict with fitvids.js script.

= 0.0.31 - Feb 24, 2021 =
* Fix issue with chapters not showing up if "Performance Preference" is set to "extreme".
* Add some missing javascript translations.

= 0.0.30 - Feb 24, 2021 =
* Rename preload options to "performance preference" to make the feature easier to understand.

= 0.0.29 - Feb 24, 2021 =
* Fix some issues with fullscreen z-index on iOS devices.
* Fix overflow issue with playback speed menu on mobile. 
* Make sure volume nob is not hidden on mobile in case of previous muting of other players.
* Fix issue where progress hook was never reaching 100%

= 0.0.28 - Feb 23, 2021 =
* Added LearnDash progression!

= 0.0.27 - Feb 22, 2021 =
* Fix issue with Presto Player breaking Cartflows pages when using Elementor.

= 0.0.26 - Feb 22, 2021 =
* Allow related videos to be clickable at end of youtube videos.

= 0.0.25 - Feb 21, 2021 =
* Fix issue with Vimeo videos not rendering correctly in Beaver Builder module.

= 0.0.24 - Feb 21, 2021 =
* Classic editor compatibility.

= 0.0.23 - Feb 21, 2021 =
* Add php actions for video progress for compatibility with 3rd party plugins.
* Don't load analytics or refresh analytics nonce unless video has started playing.

= 0.0.22 - Feb 20, 2021 =
* Ensure tags taxonomy is private.

= 0.0.21 - Feb 20, 2021 =
* Add tags for filtering/sorting of Media Hub.

= 0.0.20 - Feb 20, 2021 =
* Fix issue with svg controls not loading on backend.

= 0.0.19 - Feb 20, 2021 =
* More reliable video script output on shortcodes in different contexts (ACF, Pods).

= 0.0.18 - Feb 20, 2021 =
* More reliable video script output on Elementor templates.

= 0.0.17 - Feb 20, 2021 =
* Fix issue where video scripts were being loaded on pages without videos.

= 0.0.16 - Feb 20, 2021 =
* Revert last change due to issues with Elementor.

= 0.0.15 - Feb 20, 2021 =
* Fix issue where video scripts were being loaded on pages without videos.

= 0.0.14 - Feb 19, 2021 =
* Fix possible glitch with sidebar plugins crashing on reusable video pages.

= 0.0.13 - Feb 19, 2021 =
* New: Beaver Builder Module!
* Fix compatibility issues with iOS Safari with certain video settings.

= 0.0.12 - Feb 19, 2021 =
* Only save our settings on the settings page to prevent invalid errors for other settings.

= 0.0.11 - Feb 19, 2021 =
* Database performance optimizations
* Fix issue if jQuery migrate is disabled.

= 0.0.10 - Feb 18, 2021 =
* Fix issue with videos not showing up with Restrict Content Pro

= 0.0.9 - Feb 18, 2021 =
* Fix issue with videos not showing up with Restrict Content Free

= 0.0.8 - Feb 16, 2021 =
* Turn analytics off by default.

= 0.0.7 - Feb 15, 2021 =
* Allow authors and editors to edit branding.
* Fix border radius preview.
* Fix php notices.

= 0.0.6 - Feb 15, 2021 =
* Fix sticky scroll.
* Allow editing of Bunny.net details from settings page.
* Fix issues with Facebook webview in iOS.

= 0.0.5 - Feb 15, 2021 =
* Fix mobile Safari fullscreen issues.

= 0.0.4 - Feb 12, 2021 =
* Fix lazy loaded youtube videos on mobile Safari.

= 0.0.3 - Feb 10, 2021 =
* Initial release

